#include "SAE.h"

void menu(VilleIUT *tiut[], int nbVilles)
{
    int choix;
    bool c = false;
    while (c == false)
    {
        // system("clear");
        printf("\n\nVeuillez choisir votre menu :\n");
        printf("\t1 - Menu utilisateur\n");
        printf("\t2 - Menu administrateur\n");
        printf("\t9 - Quitter\n");
        printf("\nEntrez votre choix :\n> ");
        scanf("%d", &choix);
        switch (choix)
        {
        case 1:
            c = false;
            menuUtilisateur(tiut, nbVilles);
            break;
        case 2:
            c = false;
            menuAdministrateur(tiut, nbVilles);
            break;
        case 9:
            c = true;
            return;
            break;
        default:
            printf("Option non reconnue. Veuillez recommencer.\n");
            break;
        }
    }
}

void menuUtilisateur(VilleIUT *tiut[], int nbVilles)
{
    int choix;
    bool c = false;
    while (c == false)
    {
        // system("clear");
        printf("\n\nMenu d'utilisateur : Que voulez-vous faire ?\n");
        printf("\t1 - Voir les villes possédant un IUT\n");
        printf("\t2 - Voir les départements dans chaque IUT\n");
        printf("\t3 - Voir le nombre de places en première année\n");
        printf("\t4 - Voir les IUT possédant un département particulier\n");
        printf("\t9 - Quitter\n");
        printf("\nEntrez votre choix :\n> ");
        scanf("%d", &choix);
        switch (choix)
        {
        case 1:
            c = false;
            affichageVillesIUT(tiut, nbVilles);
            break;
        case 2:
            c = false;
            affichageDeptIUT(tiut, nbVilles);
            break;
        case 3:
            c = false;
            affichageNbP(tiut, nbVilles);
            break;
        case 4:
            c = false;
            affichageDeptParticulier(tiut, nbVilles);
            break;
        case 9:
            c = true;
            return;
        default:
            printf("Option non reconnue. Veuillez recommencer.\n");
            break;
        }
    }
}

void menuAdministrateur(VilleIUT *tiut[], int nbVilles)
{
    int choix;
    bool c = false;
    while (c == false)
    {
        // system("clear");
        printf("\n\nMenu d'administrateur : Que voulez-vous faire ?\n");
        printf("\t1 - Modifier le nombre de places dans un département\n");
        printf("\t2 - Créer un département dans un IUT\n");
        printf("\t3 - Supprimer un département d'un IUT\n");
        printf("\t4 - Modifier le responsable d'un département\n");
        printf("\t5 - Lancer la phase de candidature\n");
        printf("\t6 - Stopper la phase de candidature\n");
        printf("\t9 - Quitter\n");
        printf("\nEntrez votre choix :\n> ");
        scanf("%d", &choix);
        switch (choix)
        {
        case 1:
            c = false;
            modificationNbPDept(tiut, nbVilles);
            break;
        case 2:
            c = false;
            creationDept(tiut, nbVilles);
            break;
        case 3:
            c = false;
            suppressionDept(tiut, nbVilles);
            break;
        case 4:
            c = false;
            modificationRespDept(tiut, nbVilles);
            break;
        case 5:
            c = false;
            //
            break;
        case 6:
            c = false;
            //
            break;
        case 9:
            c = true;
            return;
            break;
        default:
            printf("Option non reconnue. Veuillez recommencer.\n");
            break;
        }
    }
}